Dit is het service-forum van GPS specialist WayPoint uit Notter, Moordrecht, Vessem, Leek, Heerhugowaard en Hilversum.

Firefox ondersteunt Garmin Communicator plugin niet meer

Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor hiker » 20 aug 2015 07:54

Afbeelding

Wat zou de reden zijn dat Firefox de Communicator plugin niet meer ondersteunt?

Voor geocaching is Firefox ideaal vanwege een aantal add-ons / scrips (die enkel onder Firefox draaien) om waypoints naar je gps te sturen. In mijn huidige Firefox versie 40.0.2 en de Communicator plugin 4.2.0.0 werkt het nog prima, maar na een update waarschijnlijk niet meer.
Nüvi 2599LMT-D / GPSmap 62s / iPhone 7
Avatar gebruiker
hiker
WayPoint relatie
WayPoint relatie
 
Berichten: 223
Geregistreerd: 25 sep 2004 20:45
Woonplaats: Tilburg

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor tonvanunen » 20 aug 2015 08:56

Browsers ontwikkelen zich voortdurend. Onder andere om veiligheidsissues op te lossen. Daarbij wordt ook kritisch gekeken naar potentieel onveilige of door de tijd onveilig geworden plugins. Deze worden geblokkeerd als ze te oud zijn.
Hopelijk weet Garmin hiervan en komen ze met aan de huidige eisen aangepaste plugins.
Ik heb hetzelfde probleem in Chrome maar kan dit nog een tijdje omzeilen door de plugin toe te staan.
tonvanunen
 
Berichten: 83
Geregistreerd: 15 mei 2011 08:03

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor hiker » 20 aug 2015 09:25

Dank voor je bericht.

Ik heb maar even een mailtje naar Garmin gestuurd met de vraag of er een update zal verschijnen die dit probleem oplost voor Firefox en Chrome.
Nüvi 2599LMT-D / GPSmap 62s / iPhone 7
Avatar gebruiker
hiker
WayPoint relatie
WayPoint relatie
 
Berichten: 223
Geregistreerd: 25 sep 2004 20:45
Woonplaats: Tilburg

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor JaVaWa » 20 aug 2015 11:55

Het heeft niets met de leeftijd van de plugin te maken, maar alles met het type plugin. De GCP is een NPAPI-plugin; dit type plugins heeft verregaande rechten tot het bestandssysteem van je computer (en de daarop aangesloten apparaten zoals je Garmin). Heel handig voor het uitwisselen van gegevens met je toestel, maar vanuit veiligheidsperspectief een crime.
Chrome ondersteunt officieel geen NPAPI meer. Dit is tijdelijk nog te omzeilen, maar op een gegeven moment (vermoedelijk binnen een half jaar) niet meer.
FireFox ondersteunt NPAPI nog wel, maar daar moet je zelf handmatig de plugin activeren. De mededeling op de Garmin-site is dus nog een beetje voorbarig, maar op een gegeven moment zullen alle browsers geen NPAPI-plugins meer ondersteunen.
Het alternatief voor NPAPI is PPAPI, maar dat heeft niet de mogelijkheden om direct je GPS te benaderen en is daardoor geen optie voor Garmin. Ze zullen dus niet meer met een update voor de plugin komen en heeft het sturen van mailtjes ook geen zin...
Supportvragen graag in het forum, niet per PB of e-mail

Kijk op http://www.javawa.nl voor software voor Mac OS X en Windows, informatie, tips en poi's
Avatar gebruiker
JaVaWa
WayPoint GPS specialist
WayPoint GPS specialist
 
Berichten: 13791
Geregistreerd: 11 feb 2008 23:46
Woonplaats: Traiectum

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor StefandD » 23 dec 2015 10:45

Dit is een al wat ouder draadje, maar toch maar even reageren.

Firefox zit momenteel op versie 43.0.2 en Mozilla heeft ooit aangekondigd dat het vanaf versie 44 definitief over is met NPAPI plug-ins. De Communicator werd al een aantal versies als onbetrouwbaar bestempeld en vanaf versie 43 was het alleen werkend te krijgen door een aanpassing in about:config te maken.

Wat schetst mijn verbazing: in een ander forum werd gewag gemaakt van een ondertekende versie van de Communicator. Weliswaar van een oudere versie (4.1.0.1 t.o.v. het huidige 4.2.0), maar na installatie bleek deze gewoon te werken zonder dat FF daar moeilijk over doet. Als controle heb ik een geocache vanaf geocaching.com naar mijn Monterra laten schrijven en dat werkte.

Voor diegenen die het ook willen proberen: kies in Firefox Extra --> Add-ons en het blad Add-ons verkrijgen. Type communicator in het zoekvak (rechtsboven) en ergens in de resultaten staat Garmin Communicator.

Het is natuurlijk de vraag of deze blijft werken vanaf versie 44, maar de niet-getekende versie zal zeker worden uitgeschakeld.

Deze updates mis je als je de oudere Communicator installeert:
Change History
Changes made from version 4.1.0 to 4.2.0:
Added support for new aviation database format

Changes made from version 4.0.4 to 4.1.0:
Fixed an issue with Base64 decoding that caused last character in the stream to be ignored

Changes made from version 4.0.3 to 4.0.4:
Modified aviation updates to work on all platforms.

Changes made from version 4.0.1 to 4.0.3:
Fixed: Issues related to workout and profile transfer to Fit devices
Fixed: Aviation transfer failures on 64 bit browser for updates greater than 2GB
Fixed: Error while communicating with SD cards (8GB or more) in MTP devices
Fixed: GTU 10 software update failures
StefandD
WayPoint relatie
WayPoint relatie
 
Berichten: 366
Geregistreerd: 25 jul 2010 11:02

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Hazeldonk » 23 dec 2015 19:25

Nu de communicator niet meer werkt is het niet mogelijk om de "Flitspalen" van Garmin te updaten terwijl ik daar wel voor betaal, is daar een oplossing voor?

Ben
BMW 1200RT (2005), Zumo 350LM, Nikon D60, Sony Cyber-shot WX50, Dakota 20 en Nuvi 1340
Hazeldonk
WayPoint relatie
WayPoint relatie
 
Berichten: 395
Geregistreerd: 30 sep 2005 14:44
Woonplaats: Dordrecht

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor HaWee » 23 dec 2015 20:04

Edge (W10) ondersteunt het ook niet, Internet Explorer nog wel en die zit ook in W10

het is gewoon een onveilige plug-in en steeds meer browser 's ondersteunen die niet meer
"Always Look on the Bright Side of Life"
Avatar gebruiker
HaWee
Onafhankelijk GPS-specialist
Onafhankelijk GPS-specialist
 
Berichten: 20710
Geregistreerd: 28 jul 2008 15:24
Woonplaats: Eindhoven

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Arjen. » 24 dec 2015 10:08

Hazeldonk schreef:Nu de communicator niet meer werkt is het niet mogelijk om de "Flitspalen" van Garmin te updaten terwijl ik daar wel voor betaal, is daar een oplossing voor?

Ben


Volgens mij gaan deze updates nu via Garmin Express.
Kijk ook eens op mywaypoint.nl en tv.gps.nl voor veelgestelde vragen en handleidingen!
Avatar gebruiker
Arjen.
WayPoint GPS specialist
WayPoint GPS specialist
 
Berichten: 849
Geregistreerd: 25 nov 2011 19:18

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Hazeldonk » 24 dec 2015 10:40

Helaas niet, Garmin Expres geeft geen mogelijkheid om flitspalen te updaten. Op mijn laptop met Windows 10 werkt het wel, op Windows 8.1 geeft Firefox niet thuis met steeds de foutmelding.

Ben
BMW 1200RT (2005), Zumo 350LM, Nikon D60, Sony Cyber-shot WX50, Dakota 20 en Nuvi 1340
Hazeldonk
WayPoint relatie
WayPoint relatie
 
Berichten: 395
Geregistreerd: 30 sep 2005 14:44
Woonplaats: Dordrecht

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Johanz » 24 dec 2015 11:24

Volgens mij zei je het zelf al dat dit ook niet meer werkt, maar om de communicator plugin toegangelijk te maken bij versie 43.0 moest ik het op deze manier doen:
about:config (voorwaarden accepteren) en dan xpinstall.signatures.required op false zetten.

In Windows 10 bij mij met Firefox 43.0.2 werkt dat dus nog wel. Windows 8(.1) weet ik helaas niet.

Ps. Flitspalen gebruik ik niet op een Oregon en buiten Nederland heb je er volgens mij ook niet veel meer aan. Ongeveer alle andere Europese landen hebben dat ook op GPS-en en telefoons verboden.
Johanz
WayPoint relatie
WayPoint relatie
 
Berichten: 109
Geregistreerd: 29 jul 2010 16:59
Woonplaats: Gouda

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor JaVaWa » 24 dec 2015 12:08

Johanz schreef:Ongeveer alle andere Europese landen hebben dat ook op GPS-en en telefoons verboden.

Nee hoor, alleen Zwitserland, Duitsland en Frankrijk...
Supportvragen graag in het forum, niet per PB of e-mail

Kijk op http://www.javawa.nl voor software voor Mac OS X en Windows, informatie, tips en poi's
Avatar gebruiker
JaVaWa
WayPoint GPS specialist
WayPoint GPS specialist
 
Berichten: 13791
Geregistreerd: 11 feb 2008 23:46
Woonplaats: Traiectum

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Hazeldonk » 24 dec 2015 14:11

En in Frankrijk mag je wel de "gevaarlijke zones" gebruiken. In Duitsland ben ik nog nooit gecontroleerd hierop. Zwitserse palen kun je bij Garmin niet aanschaffen dus heeft het wel degelijk zin, heeft me al menige bekeuring gescheeld.

Ben
BMW 1200RT (2005), Zumo 350LM, Nikon D60, Sony Cyber-shot WX50, Dakota 20 en Nuvi 1340
Hazeldonk
WayPoint relatie
WayPoint relatie
 
Berichten: 395
Geregistreerd: 30 sep 2005 14:44
Woonplaats: Dordrecht

Re: Firefox ondersteunt Garmin Communicator plugin niet meer

Berichtdoor Johanz » 7 aug 2016 10:46

Johanz schreef:Volgens mij zei je het zelf al dat dit ook niet meer werkt, maar om de communicator plugin toegangelijk te maken bij versie 43.0 moest ik het op deze manier doen:
about:config (voorwaarden accepteren) en dan xpinstall.signatures.required op false zetten.

In Windows 10 bij mij met Firefox 43.0.2 werkt dat dus nog wel. Windows 8(.1) weet ik helaas niet.


Het andere draadje waar dit probleem speelt/cq de Faq waar dit in staat kan ik niet zo gauw meer vinden, maar sinds Firefox 48.0 kan deze truuk dus niet meer. Dus blijkbaar kan het nu nog alleen met de oudere plugin of met de slechtste browser, IE dus voor zolang dat werkt.....
Johanz
WayPoint relatie
WayPoint relatie
 
Berichten: 109
Geregistreerd: 29 jul 2010 16:59
Woonplaats: Gouda


Keer terug naar Geocaching

Wie is er online

Gebruikers op dit forum: Geen geregistreerde gebruikers. en 1 gast